Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884565 - oauth-proxy crashes on invalid usage
Summary: oauth-proxy crashes on invalid usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oauth-proxy
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Standa Laznicka
QA Contact: scheng
URL:
Whiteboard: UpcomingSprint
Depends On:
Blocks: 1891725
TreeView+ depends on / blocked
 
Reported: 2020-10-02 10:21 UTC by Standa Laznicka
Modified: 2021-02-24 15:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Improper option handling causes a nil dereference during startup when wrong option combination is used. Consequence: Stack trace appears at the end of the help message. Fix: Make sure nil dereference cannot happen when certain methods of an option object are called. Result: Wrong option combination does no longer causes a stack trace.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:22:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oauth-proxy pull 191 0 None closed Bug 1884565: don't segfault on wrong option combination 2021-02-18 16:46:59 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:22:54 UTC

Description Standa Laznicka 2020-10-02 10:21:15 UTC
Description of problem:
oauth-proxy segfaults on invalid usage

Version-Release number of selected component (if applicable):
4.6

How reproducible:
100%

Steps to Reproduce:
1. ./oauth-proxy -v

Actual results:
prints a part of output and segfault stack

Expected results:
reports invalid usage and prints help

Comment 6 errata-xmlrpc 2021-02-24 15:22:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.